<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/icon_wsp">

    <RelativeLayout
        android:id="@+id/rel1"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp">

        <ImageView
            android:id="@+id/image"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp" />

        <TextView
            android:id="@+id/deptName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/image"
            android:text="实验室名称-房间号"
            android:textColor="@color/white"
            android:textSize="22sp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true"
            android:layout_marginTop="2dp">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:text="化学品智能管理"
                android:textColor="@color/white"
                android:textSize="24sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/nowTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="6dp"
                android:layout_toRightOf="@+id/tvTitle"

                android:textColor="@color/white" />

        </LinearLayout>


        <RelativeLayout
            android:id="@+id/loggedIn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:gravity="center_vertical"
            android:paddingRight="18dp">

            <ImageView
                android:id="@+id/imageName"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginRight="6dp" />

            <TextView
                android:id="@+id/tvName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/imageName"
                android:text="李XX"
                android:textColor="@color/white" />

            <ImageView
                android:id="@+id/imgOut"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/tvName"
                android:background="@mipmap/cshrk_dl_tc" />

            <TextView
                android:id="@+id/tvOutLogin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginRight="10dp"
                android:layout_toRightOf="@+id/imgOut"
                android:text="退出"
                android:textColor="@color/white"
                android:textSize="16sp" />
        </RelativeLayout>
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/rel1"
        android:layout_marginLeft="31dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="31dp"
        android:layout_marginBottom="69dp"
        android:background="@drawable/bg_add_chemicals_one"
        android:orientation="horizontal">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.32">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="22dp"
                android:layout_marginRight="16dp"
                android:layout_weight="0.32"
                android:orientation="vertical"
                android:paddingLeft="20dp">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:text="待入库清单"
                        android:textColor="@color/black"
                        android:textSize="15sp" />


                    <RelativeLayout
                        android:id="@+id/reSou"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true">

                        <ImageView
                            android:layout_width="35dp"
                            android:layout_height="30dp"
                            android:background="@drawable/bg_no_01" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:layout_centerVertical="true"
                            android:background="@mipmap/icon_ss" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/rel"
                        android:layout_width="215dp"
                        android:layout_height="30dp"
                        android:layout_toLeftOf="@+id/reSou"
                        android:background="@drawable/bg_sou_no_1"
                        android:paddingLeft="9dp">

                        <EditText
                            android:id="@+id/searchValue"
                            android:layout_width="192dp"
                            android:layout_height="17dp"
                            android:layout_centerVertical="true"
                            android:background="@null"
                            android:hint="化学品名/拼音首字母/CAS码"
                            android:imeOptions="actionDone"
                            android:singleLine="true"
                            android:textSize="12sp" />
                    </RelativeLayout>


                    <RelativeLayout
                        android:id="@+id/options"
                        android:layout_width="100dp"
                        android:layout_height="30dp"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="6dp"
                        android:layout_toLeftOf="@+id/rel"
                        android:background="@drawable/bg_shu_ru_kuang_twoe">

                        <TextView
                            android:id="@+id/value"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="14dp"
                            android:text="类别"
                            android:textColor="@color/black"
                            android:textSize="12sp" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:layout_marginRight="10dp"
                            android:background="@mipmap/icon_kzjc_zk" />

                    </RelativeLayout>
                </RelativeLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="20dp"
                    android:background="@drawable/bg_bei_ji"
                    android:gravity="center">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="名称"
                        android:textColor="@color/black"
                        android:textSize="13sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="CAS码"
                        android:textColor="@color/black"
                        android:textSize="13sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="纯度"
                        android:textColor="@color/black"
                        android:textSize="13sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="规格"
                        android:textColor="@color/black"
                        android:textSize="13sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="归属人"
                        android:textColor="@color/black"
                        android:textSize="13sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="数量"
                        android:textColor="@color/black"
                        android:textSize="13sp" />
                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rvInventory"
                    android:layout_width="match_parent"
                    android:layout_height="220dp"
                    tools:listitem="@layout/item_inventory_list" />

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:layout_alignParentBottom="true"
                android:layout_marginBottom="19dp">

                <LinearLayout
                    android:id="@+id/rvPage"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/one"
                        android:layout_width="30dp"
                        android:layout_height="25dp"
                        android:background="@drawable/bg_sou_suo_page"
                        android:gravity="center"
                        android:text="1"
                        android:textColor="@color/white"
                        android:textSize="10sp" />

                    <TextView
                        android:id="@+id/two"
                        android:layout_width="30dp"
                        android:layout_height="25dp"
                        android:layout_marginLeft="10dp"
                        android:background="@drawable/bg_sou_suo_two_page"
                        android:gravity="center"
                        android:text="2"
                        android:textColor="@color/black"
                        android:textSize="10sp"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/three"
                        android:layout_width="30dp"
                        android:layout_height="25dp"
                        android:layout_marginLeft="10dp"
                        android:background="@drawable/bg_sou_suo_two"
                        android:gravity="center"
                        android:text="3"
                        android:textColor="@color/black"
                        android:textSize="10sp"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/drop"
                        android:layout_width="30dp"
                        android:layout_height="25dp"
                        android:layout_marginLeft="10dp"
                        android:background="@drawable/bg_sou_suo_two"
                        android:gravity="center"
                        android:text="..."
                        android:textColor="@color/black"
                        android:textSize="10sp"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/many"
                        android:layout_width="30dp"
                        android:layout_height="25dp"
                        android:layout_marginLeft="10dp"
                        android:background="@drawable/bg_sou_suo_two"
                        android:gravity="center"
                        android:text="4"
                        android:textColor="@color/black"
                        android:textSize="10sp"
                        android:visibility="gone" />
                </LinearLayout>

                <Button
                    android:id="@+id/butUpper"
                    android:layout_width="65dp"
                    android:layout_height="25dp"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="10dp"
                    android:layout_toLeftOf="@+id/rvPage"
                    android:background="@drawable/bg_up_page"
                    android:text="上一页"
                    android:textColor="@color/black"
                    android:textSize="10sp" />

                <Button
                    android:id="@+id/butNext"
                    android:layout_width="65dp"
                    android:layout_height="25dp"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10dp"
                    android:layout_toRightOf="@+id/rvPage"
                    android:background="@drawable/bg_sou_suo_page"
                    android:text="下一页"
                    android:textColor="@color/white"
                    android:textSize="10sp" />
            </RelativeLayout>

        </RelativeLayout>

        <View
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@mipmap/icon_shu_xian" />

        <RelativeLayout
            android:id="@+id/relOne"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.5"
            android:paddingLeft="14.5dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:orientation="vertical"
                android:paddingLeft="6dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="入库清单"
                    android:textColor="@color/black"
                    android:textSize="15sp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginRight="10dp"
                    android:background="@drawable/bg_bei_ji"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="名称"
                        android:textColor="@color/black" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="规格"
                        android:textColor="@color/black" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="净含量"
                        android:textColor="@color/black" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="数量"
                        android:textColor="@color/black" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="柜层"
                        android:textColor="@color/black" />

                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerViewList"
                    android:layout_width="match_parent"
                    android:layout_height="210dp"
                    android:layout_marginRight="10dp" />

            </LinearLayout>


            <LinearLayout
                android:id="@+id/lintView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@mipmap/cshrk_img_zwsj" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="请点选左侧待入库化学品"
                    android:textColor="@color/purple_ff999999"
                    android:textSize="10sp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="或直接扫描化学品标签"
                    android:textColor="@color/purple_ff999999"
                    android:textSize="10sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_marginTop="60dp"
                android:layout_marginRight="10dp"
                android:layout_marginBottom="19dp">

                <RelativeLayout
                    android:layout_width="225dp"
                    android:layout_height="30dp"
                    android:layout_marginRight="10dp"
                    android:background="@drawable/bg_shu_ru_kuang_twoe">

                    <TextView
                        android:id="@+id/cabinet"
                        android:layout_width="match_parent"
                        android:layout_height="30dp"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="4dp"
                        android:gravity="center_vertical"
                        android:textColor="@color/black"
                        android:textSize="10sp" />

                    <ImageView
                        android:id="@+id/imgPosition"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:background="@mipmap/icon_bqgl_qh_two" />
                </RelativeLayout>

                <Button
                    android:id="@+id/butOpen"
                    android:layout_width="wrap_content"
                    android:layout_height="30dp"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="4dp"
                    android:background="@drawable/bg_sou_suo_page"
                    android:text="再次开门"
                    android:textColor="@color/white"
                    android:textSize="10sp"
                    android:visibility="gone" />

            </LinearLayout>


        </RelativeLayout>
    </LinearLayout>


    <Button
        android:id="@+id/tvReturn"
        android:layout_width="85dp"
        android:layout_height="30dp"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun"
        android:text="返回180s"
        android:textColor="@color/white"
        android:textSize="12sp" />


    <Button
        android:id="@+id/subAdd"
        android:layout_width="84dp"
        android:layout_height="34dp"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun_two"
        android:text="确认入库"
        android:textColor="@color/white"
        android:textSize="12sp" />

</RelativeLayout>